channels.updateUsername
Change or remove the username of a supergroup/channel
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Change or remove the username of a supergroup/channel
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.updateUsername" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "username": "string" } }'{ "result": true}updatePaidMessagesPrice
Enable or disable [paid messages »](https://core.telegram.org/api/paid-messages) in this [supergroup](https://core.telegram.org/api/channel) or [monoforum](https://core.telegram.org/api/monoforum). Also used to [enable or disable monoforums aka direct messages in a channel](https://core.telegram.org/api/monoforum). Note that passing the ID of the monoforum itself to channel will return a CHANNEL_MONOFORUM_UNSUPPORTED error: pass the ID of the associated channel to edit the settings of the associated monoforum, instead.
checkChatlistInvite
Obtain information about a [chat folder deep link »](https://core.telegram.org/api/links#chat-folder-links).